package me.hammerle.snuviengine;

import me.hammerle.snuviengine.api.Engine;
import me.hammerle.snuviengine.api.GamepadBinding;
import me.hammerle.snuviengine.api.GamepadHandler;
import me.hammerle.snuviengine.api.IGame;
import me.hammerle.snuviengine.api.Renderer;

public class Game implements IGame
{
    @Override
    public void tick()
    {        
    }
    
    @Override
    public void renderTick(Renderer r, float lag)
    { 
        float y = 10;
        r.setColorEnabled(true);
        r.setTextureEnabled(true);
        y = r.getFontRenderer().drawString(10, y, true, String.format("FPS: %.1f", Engine.getFramesPerSecond()));
        y = r.getFontRenderer().drawString(10, y, true, String.format("TPS: %.1f", Engine.getTicksPerSecond()));
        for(GamepadBinding binding : GamepadHandler.BINDINGS)
        {
            y = r.getFontRenderer().drawString(10, y, true, String.format("%s: %b, %d, %b", binding.getName(), binding.isDown(), binding.getTime(), binding.isReleased()));
        }
    }

    @Override
    public void onStop()
    {
    }
}
